{
  "name": "@jarvisnetwork/ui",
  "description": "Jarvis Network's React.js UI components",
  "homepage": "https://gitlab.com/jarvis-network/core/market/ui",
  "bugs": "https://gitlab.com/jarvis-network/core/market/ui/-/issues",
  "repository": {
    "url": "https://gitlab.com/jarvis-network/core/market/ui",
    "type": "git"
  },
  "keywords": [
    "react",
    "react-component",
    "ui components",
    "typescript",
    "styled-components",
    "emotion"
  ],
  "license": "MIT",
  "version": "0.11.14",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "files": [
    "dist/"
  ],
  "scripts": {
    "start": "start-storybook -p 9009",
    "build": "yarn build:package && yarn build:storybook",
    "build:storybook": "build-storybook",
    "build:package": "webpack --config webpack.build.config.js",
    "deploy:chromatic": "chromatic --storybook-build-dir storybook-static --exit-zero-on-changes",
    "lint": "eslint '*/**/*.{ts,tsx}'",
    "lint:fix": "eslint '*/**/*.{ts,tsx}' --fix",
    "format": "prettier --check \"**/*.+(json|yml|yaml|md)\"",
    "format:fix": "prettier --write \"**/*.+(json|yml|yaml|md)\"",
    "test": "jest"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "lint-staged": {
    "*.{ts,tsx}": [
      "eslint"
    ],
    "*.{json,yml,yaml,md}": [
      "prettier --check"
    ]
  },
  "dependencies": {
    "@emotion/react": "^11.7.0",
    "@emotion/server": "^11.4.0",
    "@emotion/styled": "^11.6.0",
    "@types/node": "^16.11.26",
    "@types/react": "^17.0.2",
    "@types/react-dom": "17.0.2",
    "framer-motion": "^6.2.8",
    "react": "17.0.2",
    "react-dom": "17.0.2",
    "react-icons": "^4.3.1",
    "react-select": "^5.2.2",
    "react-table": "^6.8.6"
  },
  "devDependencies": {
    "@babel/core": "^7.17.8",
    "@babel/preset-env": "^7.16.11",
    "@babel/preset-react": "^7.16.7",
    "@babel/preset-typescript": "^7.16.7",
    "@mdx-js/react": "^1.6.22",
    "@storybook/addon-actions": "^6.5.0-alpha.55",
    "@storybook/addon-docs": "^6.5.0-alpha.55",
    "@storybook/addon-essentials": "^6.5.0-alpha.55",
    "@storybook/addon-interactions": "^6.5.0-alpha.55",
    "@storybook/addon-knobs": "^6.4.0",
    "@storybook/addon-links": "^6.5.0-alpha.55",
    "@storybook/builder-webpack5": "^6.5.0-alpha.55",
    "@storybook/manager-webpack5": "^6.5.0-alpha.55",
    "@storybook/preset-create-react-app": "^4.1.0",
    "@storybook/react": "^6.5.0-alpha.55",
    "@testing-library/jest-dom": "^4.2.4",
    "@testing-library/react": "^9.3.2",
    "@testing-library/user-event": "^7.1.2",
    "@types/classnames": "^2.3.1",
    "@types/jest": "^26.0.20",
    "@types/lodash": "^4.14.150",
    "@types/react-select": "^3.1.2",
    "@types/react-table": "^6.8.7",
    "@typescript-eslint/eslint-plugin": "^5.17.0",
    "@typescript-eslint/parser": "^5.17.0",
    "babel-loader": "^8.2.4",
    "chromatic": "^6.5.3",
    "css-loader": "^6.7.1",
    "eslint": "^8.12.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-import": "^2.25.4",
    "eslint-plugin-jest": "^26.1.3",
    "eslint-plugin-jsx-a11y": "^6.5.1",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-react": "^7.29.4",
    "eslint-plugin-react-hooks": "^4.4.0",
    "eslint-plugin-storybook": "^0.5.7",
    "file-loader": "^6.2.0",
    "husky": "^4.2.5",
    "jest": "^26.6.3",
    "lint-staged": "^10.1.4",
    "prettier": "^2.2.1",
    "react-router-dom": "^6.3.0",
    "react-scripts": "^5.0.0",
    "react-sizeme": "^3.0.2",
    "source-map-loader": "^3.0.1",
    "storybook": "^6.5.0-alpha.55",
    "ts-jest": "^26.5.3",
    "ts-loader": "^8.0.18",
    "typescript": "^4.2.3",
    "url-loader": "^4.1.0",
    "webpack": "^5.71.0",
    "webpack-cli": "^4.9.2"
  },
  "packageManager": "yarn@3.2.0"
}
